import { BaseSchemes, NodeEditor } from 'rete';
import { Action } from '../../../types';
export declare class AddConnectionAction<S extends BaseSchemes> implements Action {
    private editor;
    private connection;
    constructor(editor: NodeEditor<S>, connection: S['Connection']);
    undo(): Promise<void>;
    redo(): Promise<void>;
}
export declare class RemoveConnectionAction<S extends BaseSchemes> implements Action {
    private editor;
    private connection;
    constructor(editor: NodeEditor<S>, connection: S['Connection']);
    undo(): Promise<void>;
    redo(): Promise<void>;
}
//# sourceMappingURL=connection.d.ts.map